﻿@{
    //
    Layout = null;
    //
    var perms = ControleDeAcesso.ObterConjuntoDePermissoesUsuario();
}

@model MvcSiteMapProvider.Web.Html.Models.MenuHelperModel
@using MvcSiteMapProvider.Web.Html.Models

@helper TopMenu(List<SiteMapNodeModel> nodeList)
{
var URLs = Session["URLsAutorizadas"] as List<string>;
if (URLs == null)
{
    URLs = new List<string>();
}
foreach (SiteMapNodeModel node in nodeList)
{
    if (!node.IsRootNode)
    {
        URLs.Add(new Uri("http://localhost" + node.Url).AbsolutePath);
        if (node.Attributes.ContainsKey("hidden"))
        {
            continue;
        }
        <li class="treeview">
            <a href="@node.Url" >
                <i class="@(node.Attributes.ContainsKey("imageClass") ? node.Attributes["imageClass"].ToString() : "")"></i>
                <span class="title">@node.Title</span>
                @if (node.Children.Any())
                {
                    <span class="fa fa-angle-left pull-right"></span>
                }
            </a>
            @DropDownMenu(node.Children, true, URLs)
        </li>
    }
}
if (Session["URLsAutorizadas"] == null)
{
    Session["URLsAutorizadas"] = URLs;
}
}

@helper DropDownMenu(SiteMapNodeModelList nodeList, bool bIsFirstNode, List<string> URLs)
{
if (nodeList.Any())
{
        <ul class="treeview-menu">
            @*@(bIsFirstNode ? "always-open" : "")"*@
            @foreach (SiteMapNodeModel node in nodeList)
            {
                URLs.Add(new Uri("http://localhost" + node.Url).AbsolutePath);
                if (node.Attributes.ContainsKey("hidden"))
                {
                    continue;
                }
                <li class="treeview">
                    <a href="@node.Url" >
                        <i class="@( node.Attributes.ContainsKey("imageClass") ? node.Attributes["imageClass"].ToString() : "")"></i>
                        <span class="title">@node.Title</span>
                        @if (node.Children.Any())
                        {
                            <span class="fa fa-angle-left pull-right"></span>
                        }
                    </a>
                    @DropDownMenu(node.Children, false, URLs)
                </li>
            }
        </ul>
}
}
@TopMenu(Model.Nodes)